<?php
/* Запрет доступа */
defined('_JEXEC') or die;

$doc = JFactory::getDocument();
$doc->addStyleSheet('modules/mod_special_visually/assets/css/style.css');
$doc->addScript('modules/mod_special_visually/assets/js/jQuery.style.js');
$doc->addScript('modules/mod_special_visually/assets/js/script.js');

$session = JFactory::getSession();

if (isset($_POST['type_version'])) {
	$session->set('type_version', $_POST['type_version']);
}

if (isset($_POST['change_font'])) {
	$session->set('change_font', $_POST['change_font']);
}

if (isset($_POST['change_color'])) {
	$session->set('change_color', $_POST['change_color']);
}

if (isset($_POST['change_image'])) {
	$session->set('change_image', $_POST['change_image']);
}

if (isset($_POST['change_kerning'])) {
	$session->set('change_kerning', $_POST['change_kerning']);
}

if (isset($_POST['change_interval'])) {
	$session->set('change_interval', $_POST['change_interval']);
}

if (isset($_POST['change_garnitura'])) {
	$session->set('change_garnitura', $_POST['change_garnitura']);
}

if ($session->get('type_version') && $session->get('type_version') == 'yes') {
?>
<script>
jQuery(function($) {
	$('body div, body h1, body h2, body h3, body h4, body h5, body h6, body p, body a, body span, body input, body li').each(function(){
		<?php if ($params->get('handle_module') == 0) { ?>
		if ($(this).hasClass('module_special_visually') || $(this).closest('#module_special_visually').hasClass('module_special_visually')) {
		
		} else {
		<?php } ?>
		
		$(this).style('font-size', '24px', 'important');
		$(this).style('background', '#fff', 'important');
		$(this).style('color', '#000', 'important');
		$(this).style('letter-spacing', '0px', 'important');
		$(this).style('line-height', '24px', 'important');
		$(this).style('font-family', 'Arial, Helvetica, sans-serif', 'important');
		
		<?php if ($session->get('change_font')) { ?>
			$(this).style('font-size', '<?php echo $session->get('change_font'); ?>', 'important');
		<?php } ?>
		
		<?php
		if ($session->get('change_color')) {
			$color = explode(';', $session->get('change_color'));
		?>
			$(this).style('background', '<?php echo $color[0]; ?>', 'important');
			$(this).style('color', '<?php echo $color[1]; ?>', 'important');
		<?php } ?>
		
		<?php if ($session->get('change_kerning')) { ?>
			$(this).style('letter-spacing', '<?php echo $session->get('change_kerning'); ?>', 'important');
		<?php } ?>
		
		<?php if ($session->get('change_interval')) { ?>
			$(this).style('line-height', '<?php echo $session->get('change_interval'); ?>', 'important');
		<?php } ?>
		
		<?php if ($session->get('change_garnitura')) { ?>
			$(this).style('font-family', '<?php echo $session->get('change_garnitura'); ?>', 'important');
		<?php } ?>
		
		<?php if ($params->get('handle_module') == 0) { ?>
		}
		<?php } ?>
	});
	
	<?php
		if ($session->get('change_color')) {
			$color = explode(';', $session->get('change_color'));
		?>
			$('body').style('background', '<?php echo $color[0]; ?>', 'important');
			$('body').style('color', '<?php echo $color[1]; ?>', 'important');
	<?php } else { ?>
			$('body').style('background', '#fff', 'important');
			$('body').style('color', '#000', 'important');
	<?php } ?>
	
	<?php if ($session->get('change_image') && $session->get('change_image') == 'no') { ?>
		$('body img').each(function() {
			$(this).style('display', 'none', 'important');
		});
	<?php } ?>
});
</script>
<?php
}
?>
<div id="module_special_visually" class="module_special_visually <?php echo $params->get('moduleclass_sfx'); ?>">
	<form id="special_visually" action="" method="POST">
	<?php if ($session->get('type_version') && $session->get('type_version') == 'yes') { // Версия для слабовидящих ?>
		<div class="buttons">
			<label><input type="radio" name="type_version" value="no" /><?php echo $params->get('text_original'); ?></label>
		</div>
		<div class="params">
			<?php
			/* Функционал выбора размера шрифта */
			if ($params->get('change_font') == '1') {
				$list_font = array();
				if ($params->get('size_font1')) {
					array_push($list_font, $params->get('size_font1'));
				}
				if ($params->get('size_font2')) {
					array_push($list_font, $params->get('size_font2'));
				}
				if ($params->get('size_font3')) {
					array_push($list_font, $params->get('size_font3'));
				}
				if ($params->get('size_font4')) {
					array_push($list_font, $params->get('size_font4'));
				}
				if (isset($list_font)) {
					echo '<div class="change_font param">';
					echo '<div class="title">' . JText::_('MOD_SPECIAL_VISUALLY_CHANGE_FONT') . '</div>';
					foreach ($list_font as $size) {
			?>
						<label style="font-size: <?php echo $size; ?>;" <?php if($session->get('change_font') && $session->get('change_font') == $size) { echo 'class="active"'; } ?>>
							<input type="radio" name="change_font" <?php if($session->get('change_font') && $session->get('change_font') == $size) { echo 'checked="checked"'; } ?> value="<?php echo $size; ?>">A
						</label>
			<?php
					}
					echo '</div>';
				}
			}
			
			/* Функционал выбора цветовой схемы */
			if ($params->get('change_color') == '1') {
				$list_color = array();
				if ($params->get('bg_color1') && $params->get('text_color1')) {
					array_push($list_color, array($params->get('bg_color1'), $params->get('text_color1')));
				}
				if ($params->get('bg_color2') && $params->get('text_color2')) {
					array_push($list_color, array($params->get('bg_color2'), $params->get('text_color2')));
				}
				if ($params->get('bg_color3') && $params->get('text_color3')) {
					array_push($list_color, array($params->get('bg_color3'), $params->get('text_color3')));
				}
				if ($params->get('bg_color4') && $params->get('text_color4')) {
					array_push($list_color, array($params->get('bg_color4'), $params->get('text_color4')));
				}
				if ($params->get('bg_color5') && $params->get('text_color5')) {
					array_push($list_color, array($params->get('bg_color5'), $params->get('text_color5')));
				}
				if (isset($list_color)) {
					echo '<div class="change_color param">';
					echo '<div class="title">' . JText::_('MOD_SPECIAL_VISUALLY_CHANGE_COLOR') . '</div>';
					foreach ($list_color as $colors) {
			?>
						<label style="background-color: <?php echo $colors[0]; ?>; color: <?php echo $colors[1]; ?>;" <?php if($session->get('change_color') && $session->get('change_color') == ($colors[0] . ';' . $colors[1])) { echo 'class="active"'; } ?>>
							<input type="radio" name="change_color" <?php if($session->get('change_color') && $session->get('change_color') == ($colors[0] . ';' . $colors[1])) { echo 'checked="checked"'; } ?> value="<?php echo $colors[0] . ';' . $colors[1]; ?>">A
						</label>
			<?php
					}
					echo '</div>';
				}
			}
			
			/* Функционал управления изображениями */
			if ($params->get('change_image') == '1') {
				echo '<div class="change_image param">';
				echo '<div class="title">' . JText::_('MOD_SPECIAL_VISUALLY_CHANGE_IMAGE') . '</div>';
			?>
					<label <?php if($session->get('change_image') && $session->get('change_image') == 'no') { echo 'class="active"'; } ?>>
						<input type="radio" name="change_image" <?php if($session->get('change_image') && $session->get('change_image') == 'no') { echo 'checked="checked"'; } ?> value="no" /><?php echo JText::_('MOD_SPECIAL_VISUALLY_CHANGE_IMAGE_OFF'); ?>
					</label>
					<label <?php if($session->get('change_image') && $session->get('change_image') == 'yes') { echo 'class="active"'; } ?>>
						<input type="radio" name="change_image" <?php if($session->get('change_image') && $session->get('change_image') == 'yes') { echo 'checked="checked"'; } ?> value="yes" /><?php echo JText::_('MOD_SPECIAL_VISUALLY_CHANGE_IMAGE_ON'); ?>
					</label>
			<?php
				echo '</div>';
			}
			
			
			/* Функционал выбора кернинга */
			if ($params->get('change_kerning') == '1') {
				$list_kerning = array();
				if ($params->get('label_kerning1') && $params->get('size_kerning1')) {
					array_push($list_kerning, array($params->get('label_kerning1'), $params->get('size_kerning1')));
				}
				if ($params->get('label_kerning2') && $params->get('size_kerning2')) {
					array_push($list_kerning, array($params->get('label_kerning2'), $params->get('size_kerning2')));
				}
				if ($params->get('label_kerning3') && $params->get('size_kerning3')) {
					array_push($list_kerning, array($params->get('label_kerning3'), $params->get('size_kerning3')));
				}
				if (isset($list_kerning)) {
					echo '<div class="change_kerning param">';
					echo '<div class="title">' . JText::_('MOD_SPECIAL_VISUALLY_CHANGE_KERNING') . '</div>';
					foreach ($list_kerning as $kernings) {
			?>
						<label <?php if($session->get('change_kerning') && $session->get('change_kerning') == $kernings[1]) { echo 'class="active"'; } ?>>
							<input type="radio" name="change_kerning" <?php if($session->get('change_kerning') && $session->get('change_kerning') == $kernings[1]) { echo 'checked="checked"'; } ?> value="<?php echo $kernings[1]; ?>" /><?php echo $kernings[0]; ?>
						</label>
			<?php
					}
					echo '</div>';
				}
			}
			
			/* Функционал выбора интервала */
			if ($params->get('change_interval') == '1') {
				$list_interval = array();
				if ($params->get('label_interval1') && $params->get('size_interval1')) {
					array_push($list_interval, array($params->get('label_interval1'), $params->get('size_interval1')));
				}
				if ($params->get('label_interval2') && $params->get('size_interval2')) {
					array_push($list_interval, array($params->get('label_interval2'), $params->get('size_interval2')));
				}
				if ($params->get('label_interval3') && $params->get('size_interval3')) {
					array_push($list_interval, array($params->get('label_interval3'), $params->get('size_interval3')));
				}
				if (isset($list_interval)) {
					echo '<div class="change_interval param">';
					echo '<div class="title">' . JText::_('MOD_SPECIAL_VISUALLY_CHANGE_INTERVAL') . '</div>';
					foreach ($list_interval as $intervals) {
			?>
						<label <?php if($session->get('change_interval') && $session->get('change_interval') == $intervals[1]) { echo 'class="active"'; } ?>>
							<input type="radio" name="change_interval" <?php if($session->get('change_interval') && $session->get('change_interval') == $intervals[1]) { echo 'checked="checked"'; } ?> value="<?php echo $intervals[1]; ?>" /><?php echo $intervals[0]; ?>
						</label>
			<?php
					}
					echo '</div>';
				}
			}
			
			/* Функционал выбора интервала */
			if ($params->get('change_garnitura') == '1') {
				$list_garnitura = array();
				if ($params->get('label_garnitura1') && $params->get('type_garnitura1')) {
					array_push($list_garnitura, array($params->get('label_garnitura1'), $params->get('type_garnitura1')));
				}
				if ($params->get('label_garnitura2') && $params->get('type_garnitura2')) {
					array_push($list_garnitura, array($params->get('label_garnitura2'), $params->get('type_garnitura2')));
				}
				if ($params->get('label_garnitura3') && $params->get('type_garnitura3')) {
					array_push($list_garnitura, array($params->get('label_garnitura3'), $params->get('type_garnitura3')));
				}
				if (isset($list_garnitura)) {
					echo '<div class="change_garnitura param">';
					echo '<div class="title">' . JText::_('MOD_SPECIAL_VISUALLY_CHANGE_GARNITURA') . '</div>';
					foreach ($list_garnitura as $garnituras) {
			?>
						<label <?php if($session->get('change_garnitura') && $session->get('change_garnitura') == $garnituras[1]) { echo 'class="active"'; } ?>>
							<input type="radio" name="change_garnitura" <?php if($session->get('change_garnitura') && $session->get('change_garnitura') == $garnituras[1]) { echo 'checked="checked"'; } ?> value="<?php echo $garnituras[1]; ?>" /><?php echo $garnituras[0]; ?>
						</label>
			<?php
					}
					echo '</div>';
				}
			}
			?>
		</div>
	<?php } else { // Версия оригинальная ?>
		<div class="buttons">
			<label><input type="radio" name="type_version" value="yes" /><?php echo $params->get('text_special'); ?></label>
		</div>
	<?php } ?>
	</form>
</div>